# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "leica_sc_finder_app/version"

Gem::Specification.new do |spec|
  spec.name          = "leica_sc_finder_app"
  spec.version       = LeicaScFinderApp::VERSION
  spec.authors       = ["Michael Wahlin"]
  spec.email         = ["wahlin@gmail.com"]

  spec.summary       = %q{Scrapes Leica Screw Mount Camera Information from leicashop.com}
  spec.description   = %q{Starts with a list of Leica Screw Mount Camera categories from leicashop.com. The user can then select a category to view available items for purchase.}
  spec.homepage      = "https://github.com/michaelwahlin/leica_sc_finder_app"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against " \
  #    "public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency "nokogiri"
  spec.add_dependency "pry"
end
